init python:
    left2 = Position(xpos=0.2, xanchor='left')
    right2 = Position(xpos=0.9, xanchor='right')
    ########################################################## TIME
    class day_time(object):
        def __init__(self):
            self.day = 1
            self.clean = 1 
            self.sonwake = 0
            self.rent = 1
            self.weekdays = ["Monday","Tuesday","Wednesday","Thursday","Friday","Saturday","Sunday"]
            self.time_of_day = ["Morning", "Noon", "Night", "Late night"] # add or remove to increase time of day slots
            self.end_of_day = self.time_of_day[-1] # automatically picks last slot as end of day

        @property
        def weekday(self):
            return self.weekdays[(self.day-1)%7]

        @property 
        def time(self):
            return self.time_of_day[0]

        def advance(self, increment = 0, days = 0):
            if not (increment + days): # no input
                increment = 1

            if days: # add to increment by length of time_of_day
                increment += days * len(self.time_of_day)

            while increment > 0: # loop through increments to shift timeslot and days forward
                if self.time_of_day[0] == self.end_of_day:
                    self.day += 1
                    self.clean += 1
                    self.sonwake += 1
                    self.rent += 1
                self.time_of_day.append(self.time_of_day.pop(0))
                increment -= 1 # reduce incrememnt to escape loop after enough runs

    ########################################################## STATISTIC
    class PlayerStats(object):
        def __init__(self):
            self.intelligence = 0
            self.corruption = 0
            self.charisma = 0
            self.money = 100
# Define the stats screen
screen statistic():
    add "jurnal"
    modal True
    hbox:
        xpos 468 
        ypos 300
        text "$[player.money]" :
            style "popuptext"
            color "#34993d"

    hbox:
        xpos 468
        ypos 445
        text "[player.intelligence]":
            color "#993434"
            style "popuptext"

    hbox:
        xpos 468
        ypos 615
        text "[player.charisma]" :
            style "popuptext"
            color "#2a2368"
    
    hbox:
        xpos 468
        ypos 795
        text "[player.corruption]" :
            style "popuptext"
            color "#7e1e68"
    imagebutton:
        focus_mask True
        idle "jurnal close"
        hover "jurnal closeH"
        action Call("close_stats_screen")

    


default clock = day_time() # time

default player = PlayerStats() # stats


style popuptext:
    font "fonts/Hand Marker.ttf"
    size 70
    text_align 0.5
label stats_screen:
    call screen statistic
label close_stats_screen:
    call screen bedroom_nav

label bed_nav_call:
    $ clock.advance(1)
    if clock.time == "Morning":
        scene apartement b 
        with fade
    if clock.time == "Noon":
        scene apartement b 
        with fade
    if clock.time == "Night":
        scene apartement bn 
        with fade
    if clock.time == "Late night":
        scene apartement bn
        with fade
    call screen bedroom_nav

label LR_nav_call:
    $ clock.advance(1)
    if clock.time == "Morning":
        scene apartement LR
        with fade
    if clock.time == "Noon":
        scene apartement LR
        with fade
    if clock.time == "Night":
        scene apartement LRN
        with fade
    if clock.time == "Late night":
        scene apartement LRN
        with fade
    call screen living_room_nav

label front_ap_nav_call:
    $ clock.advance(1)
    if clock.time == "Morning":
        scene apartement front
        with fade
    if clock.time == "Noon":
        scene apartement front noon
        with fade
    if clock.time == "Night":
        scene apartement front night
        with fade
    if clock.time == "Late night":
        scene apartement front night
        with fade
    call screen front_apartment_nav

label world_map_nav:
    $ clock.advance(1)
    if clock.time == "Morning":
        scene map morning
        with fade
    if clock.time == "Noon":
        scene map noon
        with fade
    if clock.time == "Night":
        scene map night
        with fade
    if clock.time == "Late night":
        scene map night
        with fade
    call screen world_map

return



